import { Cloneable } from "../util/interface/Cloneable";
import { ResultCode } from "../util/enum/ResultCode";
export type ParamType = "string" | "number" | "decimal" | "date" | "time" | "datetime" | "stringarray" | "numberarray" | "decimalarray" | "datearray" | "datetimearray" | "json";
export declare class TableParam implements Cloneable {
    private _name;
    private _type;
    private _default?;
    private _value;
    constructor(_name: string, _type?: ParamType, _default?: any);
    get name(): string;
    get type(): ParamType;
    static map(...arr: {
        name: string;
        type?: ParamType;
        value?: any;
    }[]): TableParam[];
    getValue(): any;
    setValue(val: any): ResultCode;
    valueOf(): any;
    clone(): TableParam;
}
